Name: kde4-splash-mdv
Summary: KDE Splash supporting SVG files
Version: 2009.1.3
Release: %mkrel 4
License: GPL
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/splash-mdv
Group: Graphical desktop/KDE4
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: kdelibs4-devel

%description
Splash Screen Engine for KDE4 supporting SVG files on the theme

%prep 
%setup -q -n %{name}-%{version}

%build 
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

mkdir -p %{buildroot}/%{_datadir}/kde4/servicetypes
mkdir -p %{buildroot}/%{_datadir}/kde4/services
cp -a  ksplashplugin.desktop %{buildroot}/%{_datadir}/kde4/servicetypes
cp -a  kde4-splash-mdv.desktop %{buildroot}/%{_datadir}/kde4/services
ln -s %{_bindir}/kde4-splash-mdv %{buildroot}/%{_bindir}/ksplash

%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/kde4-splash-mdv
%attr(755,root,root) %{_bindir}/ksplash
%{_datadir}/kde4/servicetypes/ksplashplugin.desktop
%{_datadir}/kde4/services/kde4-splash-mdv.desktop
%{_datadir}/locale/*/LC_MESSAGES/kde4-splash-mdv.mo


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2009.1.3-3pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 2009.1.3-2pclos2010
- rebuild

* Thu Nov 12 2009 Texstar <texstar at gmail.com> 2009.1.3-1pclos2010
- import into pclos from mdv

